<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.smartapplication.capturerecord.mapper.CaptureRecordMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="captureRecordResultMap" type="org.springblade.smartapplication.capturerecord.entity.CaptureRecord">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="person" property="person"/>
        <result column="person_id" property="personId"/>
        <result column="capture_time" property="captureTime"/>
        <result column="device_name" property="deviceName"/>
        <result column="device_position" property="devicePosition"/>
        <result column="temperature" property="temperature"/>
        <result column="idcard" property="idcard"/>
        <result column="phone" property="phone"/>
        <result column="department" property="department"/>
        <result column="last_capture" property="lastCapture"/>
        <result column="point_data" property="pointData"/>
        <result column="capture_image" property="captureImage"/>
    </resultMap>


    <select id="selectCaptureRecordPage" resultMap="captureRecordResultMap">
        select * from yc_capture_record where is_deleted = 0
    </select>

</mapper>
